package com.hfkj.service.goods;

import com.hfkj.entity.BsOrderGoods;
import com.hfkj.entity.GoodsBrand;

import java.util.List;
import java.util.Map;

public interface BsOrderGoodsService {
    /**
     * @Author Sum1Dream
     * @Name create
     * @Description // 创建
     * @Date 15:11 2024/4/19
     * @Param GoodsBrand
     * @return void
     */
    void create(BsOrderGoods orderGoods);

    /**
     * @Author Sum1Dream
     * @Name update
     * @Description // 修改
     * @Date 15:12 2024/4/19
     * @Param GoodsBrand
     * @return void
     */
    void update(BsOrderGoods orderGoods);

    /**
     * @Author Sum1Dream
     * @Name delete
     * @Description // 修改
     * @Date 15:12 2024/4/19
     * @Param id
     * @return void
     */
    void delete(Long id , Boolean fullDelete);

    /**
     * @Author Sum1Dream
     * @Name queryDetail
     * @Description // 根据ID查询产品类型详情
     * @Date 15:12 2024/4/19
     * @Param id
     * @return com.hfkj.entity.GoodsBrand
     */
    BsOrderGoods queryDetail(Long id);

    /**
     * @Author Sum1Dream
     * @Name findGoodsOrder
     * @Description // 查询详情
     * @Date 15:44 2023/4/20
     * @Param [orderNo]
     * @Return com.hai.entity.GoodsOrder
     */
    BsOrderGoods findGoodsOrder(String orderNo);

    /**
     * @Author Sum1Dream
     * @Name queryDetailByMap
     * @Description // 根据多条件查询产品类型
     * @Date 15:12 2024/4/19
     * @Param map
     * @return com.hfkj.entity.GoodsBrand
     */
    BsOrderGoods queryDetailByMap(Map<String , Object> map);

    /**
     * @Author Sum1Dream
     * @Name getList
     * @Description // 根据多条件查询列表
     * @Date 15:13 2024/4/19
     * @Param map
     * @return java.util.List<com.hfkj.entity.GoodsBrand>
     */
    List<BsOrderGoods> getList(Map<String , Object> map);
}
